<?php
/* Inspired from autoload from version 2.0.3 */

$vendorDir = '/usr/share/php';
require_once $vendorDir . '/SebastianBergmann/FinderFacade/autoload.php';
require_once $vendorDir . '/SebastianBergmann/Git/autoload.php';
require_once $vendorDir . '/SebastianBergmann/Version/autoload.php';

if (!(isset($sfuloader) && $sfuloader instanceof Symfony\Component\ClassLoader\UniversalClassLoader)) {
    require_once $vendorDir . '/Symfony/Component/ClassLoader/UniversalClassLoader.php';
    $sfuloader = new Symfony\Component\ClassLoader\UniversalClassLoader();
    $sfuloader->register();
}
$sfuloader->registerNamespaces(array(
    'Symfony\\Component\\Console'         => $vendorDir,
    'Symfony\\Component\\ClassLoader'     => $vendorDir,
));

spl_autoload_register(
    function($class) {
        static $classes = null;

        if ($classes === null) {
            $classes = array(
              'sebastianbergmann\\phploc\\analyser' => '/Analyser.php',
                'sebastianbergmann\\phploc\\cli\\application' => '/CLI/Application.php',
                'sebastianbergmann\\phploc\\cli\\command' => '/CLI/Command.php',
                'sebastianbergmann\\phploc\\log\\csv\\history' => '/Log/CSV/History.php',
                'sebastianbergmann\\phploc\\log\\csv\\single' => '/Log/CSV/Single.php',
                'sebastianbergmann\\phploc\\log\\text' => '/Log/Text.php',
                'sebastianbergmann\\phploc\\log\\xml' => '/Log/XML.php'
            );
        }

        $cn = strtolower($class);

        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    }
);
